ipa-run-tests(1)

NAME
ipa-run-tests - Run the FreeIPA test suite

SYNOPSIS
ipa-run-tests [options]

DESCRIPTION
ipa-run-tests is a wrapper around Pytest that run the FreeIPA test suite. It is intended to be used for developer testing and in continuous integration systems. It is possible to select a subset of the entire test suite by specifying a test file relative to the ipatests package, for example:
    ipa-run-tests test_integration/test_simple_replication.py

OPTIONS
All command-line options are passed to the underlying Pytest runner. See "pytest --help" for a complete list.

EXIT STATUS
Running pytest can result in six different exit codes:
Exit code 0:    All tests were collected and passed successfully
Exit code 1:    Tests were collected and run but some of the tests failed
Exit code 2:    Test execution was interrupted by the user
Exit code 3:    Internal error happened while executing tests
Exit code 4:    pytest command line usage error
Exit code 5:    No tests were collected

CONFIGURATION
Please see ipa-test-config(1) for a description of configuration environment variables.

REFERENCES
A full description of the FreeIPA testing is available at https://www.freeipa.org/page/Testing